import request from '@/utils/request'


//查询列表
export function listSampling(data){
  return request({
    url:'transaction/website/listSampling',
    method:'get',
    params:data
  })
}
// 删除农户抽样
export function delSampling(id) {
  return request({
    url: '/transaction/website/delSampling/' + id,
    method: 'get'
  })
}
export function updateSampling(data) {
  return request({
    url: '/transaction/website/updateSampling',
    method: 'post',
    data: data
  })
}
// 查询农户抽样详细
export function getInvestigate(id) {
  return request({
    url: '/transaction/website/getInvestigate/' + id,
    method: 'get'
  })
}
// 新增农户抽样
export function addSampling(data) {
  return request({
    url: '/transaction/website/addSampling',
    method: 'post',
    data: data
  })
}
// 新增农户抽样
export function addInvestigate(data) {
  return request({
    url: '/transaction/website/addInvestigate',
    method: 'post',
    data: data
  })
}
// 修改农户抽样
export function updateInvestigate(data) {
  return request({
    url: '/transaction/website/editInvestigate',
    method: 'post',
    data: data
  })
}
//查询列表
export function listSamplingDept(data){
  return request({
    url:'transaction/website/listSamplingDept',
    method:'get',
    params:data
  })
}
